FP1: Macadamia 1.9.9-pre3 Alpha (Android Kitkat)

I am also willing to see the upgrade, mostly to be able to use movescount and pair my Suunto GPS with my FP in order to replace its own one, which takes ages to locate signal and loses it quite often.

What about a newer beta version?
No pressure :smiley:
Thank you!!!

2 Likes

Nice to hear. So it might be an calibration thing. Can other people confirm this?

I might just post something this week.

1 Like

New pre-release available

All testers, please have a look at the new release Macadamia v1.9.9-pre2.

Note: This force-flashes a new recovery. If you are using a custom recovery, you need to reflash it afterwards,

Issues addressed

  • Flash new recovery before performing update (fixes many permission issues)
  • Add missing localizations of Settings app
  • Removed white border around boot logo (ugly blue background for now)
  • FairphoneUpdater updated to v33 (sorry, I forgot to include the current version 35 before building)
8 Likes

Side loaded this version. Now a adb reboot recovery results in an endless loop displaying the black android start screen.
Fastboot seems to work, normal boot as well.
As soon as I have > 80% battery, I try to reinstall using the updater.

Works perfect!

The only problem was, that I could not install OpenGapps. But with the Gapps from Fairphone (see above) it works…
The Fairphone Updater does not work.
And still after every reboot: “E-Mail” wurde beendet.

Will I lose my data?

I installed it as an update in recovery from sd card and I did not loose my date…

OK I’m trying this and letting you know how it works out! :wink:

Where exactly? can you link?

1.9.9-pre2 installed. Running fine for me. Bluetooth in my car: fine. Battery levels seems to be good too, but I’m used to charge at least once a day, so the battery is almost never empty. I’ll try to use it without charging today.
Thanks for working on this, it makes me use my FP1 again.

1 Like

Before installing… what GAPPs are included in your zip? Because I would like a min package and then go from there.

Thanks

That is the problem! There are a lot of useless google apps in it. But I deinstalled them with Titatnium Backup…

Can you please give more details and possibly the input of /cache/recovery/last_log (or similar).

What does that mean? Under what circumstances does it not work?

Have you reported that one before? I might have overlooked that one. Please give me a link to that post.[quote=“evidemment, post:177, topic:19450, full:true”]
Will I lose my data?
[/quote]

No, the only things touched are the following partitions:

  • recovery (the recovery)
  • boot (the kernel)
  • system (the Android system)
  • logo (the boot logo)

User data is stored on data and not touched.

This is a pretty standard GApps package as used by Cyanogenmod. You can actually look inside and see whick apks are included (it’s a Zip archive after all).

These are the apks included (many of them behind the scenes system stuff):

  • GenieWidget.apk
  • Gmail2.apk
  • GoogleCalendarSyncAdapter.apk
  • GoogleContactsSyncAdapter.apk
  • GoogleEars.apk
  • GoogleTTS.apk
  • Hangouts.apk
  • Maps.apk
  • MediaUploader.apk
  • PlayGames.apk
  • PlusOne.apk
  • ConfigUpdater.apk
  • GmsCore.apk
  • GoogleBackupTransport.apk
  • GoogleFeedback.apk
  • GoogleLoginService.apk
  • GoogleOneTimeInitializer.apk
  • GooglePartnerSetup.apk
  • GoogleServicesFramework.apk
  • Phonesky.apk
  • SetupWizard.apk
  • Velvet.apk
  • talkback.apk

Does the new Alpha (pre2) install GAPPS on my device??? If positive, then I’m out of this Alpha Testing. It would be a no go for me!

PS.: Hangouts??? Gmail??? Maps??? Really??? Why would anybody need these???

Dear @Stefan, please have a look at the question I was responding to. It’s all about the GApps updater Zip. Of course, the images for FP1(U) will never include GApps.

3 Likes

Ok that’s relieving! Sorry for overreacting… :blush:

3 Likes

If I open the Update it crashes and says: “Fairphone Updater” wurde beendet

No have not reported the E-Mail problem, but I think somebody else did it…

How do you open the Updater? From the launcher? Or from the Filemanager? Or from Downloads?

Is there anything unusual in your setup? Can you please make the Updater crash again, capture an adb bugreport and send me the file? Thanks

Do you have a link?